Template assets
Upload custom strip image
Uploads a custom strip image for the template. The image is processed and variants for Apple and Google Wallet are generated.
Required scopes: template:update
AuthorizationBearer <token>
Sign in with your account. A temporary API token is generated automatically for the selected organization.
In: header
Path Parameters
templateId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
file*string
Response Body
*/*
curl -X POST "https://api.stemp.app/api/v1/templates/string/assets/strip/upload" \ -H "Content-Type: application/json" \ -d '{ "file": "string" }'{
"version": "string",
"templateId": "string",
"createdAt": "string",
"assets": {
"icon": {
"apple": {
"1x": "string",
"2x": "string",
"3x": "string"
},
"google": "string"
},
"logo": {
"apple": {
"1x": "string",
"2x": "string",
"3x": "string"
},
"google": "string"
},
"logo-wide": {
"apple": {
"1x": "string",
"2x": "string",
"3x": "string"
},
"google": "string"
},
"thumbnail": {
"apple": {
"1x": "string",
"2x": "string",
"3x": "string"
},
"google": "string"
},
"strip": {
"apple": {
"1x": "string",
"2x": "string",
"3x": "string"
},
"google": "string"
},
"strip-set": {
"config": {
"maxStamps": 0,
"foregroundColor": "string",
"labelColor": "string",
"backgroundColor": "string",
"variant": "string"
},
"strips": {
"property1": {
"apple": {
"1x": "string",
"2x": "string",
"3x": "string"
},
"google": "string"
},
"property2": {
"apple": {
"1x": "string",
"2x": "string",
"3x": "string"
},
"google": "string"
}
}
}
}
}